//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class Tb_EmployHist
    {
        public int Id { get; set; }
        [Display(Name="Sr.No.")]
       
        public Nullable<int> SrNo { get; set; }

        public Nullable<int> EnquiryId { get; set; }

          [Display(Name = "Position Held")]
          [StringLength(25)]
        public string PositionHeld { get; set; }

        //[Required(ErrorMessage = "Duration Of Exp is required")]
        //[Display(Name = "Duration Of Experience")]
        //[StringLength(15)]
        public string DurationOfExp { get; set; }

          [StringLength(30)]
        [Required(ErrorMessage = "Company is required")]
        public string Company { get; set; }

          [StringLength(30)]
          [Display(Name = "Job Responsibility")]
        public string JobResponsibility { get; set; }
        public Nullable<bool> _status;

        public bool Status
        {
            get
            {
                if (_status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }

            }
            set
            {
                _status = value;

            }
        }
        [Required(ErrorMessage="*")]
        [DataType(DataType.Date)]
        public Nullable<System.DateTime> Cdate { get; set; }

        [Required(ErrorMessage = "*")]
        [DataType(DataType.Date)]
        public Nullable<System.DateTime> Fdate { get; set; }

        [DataType(DataType.Date)]
        public Nullable<System.DateTime> Tdate { get; set; }
        public virtual MaEnquiry MaEnquiry { get; set; }
    }
}
